<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>

<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<jsp:include page="/jsp/common/include/css.jsp" />
<jsp:include page="/jsp/common/include/script.jsp" />

<script language="javascript">

	var url      = '<c:url value="/bap/transaction/transactionTraceMan.json" />';
	var url_view = '<c:url value="/bap/transaction/transactionTraceMan.view" />';
	
	function init(key,callback) {
		if (typeof callback === 'function') {
			callback(key);
		}
	}

	function detail(key) {

		$.ajax({
			type : "POST",
			url : url,
			dataType : "json",
			data : {
				cmd : 'DETAIL',
				fileTrsmtLogID : key
			},
			success : function(json) {
				$("input,select").each(function(){
					var name = $(this).attr('name');
					if ( name != null ) {
						if (name == 'ndmRspnsCd') {
							var ndmRspnsCd = json[name].trim();
							if (ndmRspnsCd == "0") {
								$("input[name=ndmRspnsCd]").val('정상');
								$("#ndmapi").css("display","");
							} else if (ndmRspnsCd == "8") {
								$("input[name=ndmRspnsCd]").val('비정상');
								$("#error").css("display","");
								$("#ndmapi").css("display","");
							} else if (ndmRspnsCd == "P") {
								$("input[name=ndmRspnsCd]").val('전송중');
							} else {
								$("input[name=ndmRspnsCd]").val(json[name]);
							}
						} else {
							$(this).val(json[name]);
						}
					}
				});
			},
			error : function(e) {
				alert(e.responseText);
			}
		});

	}
	
	$(document).ready(function() {
		
		var returnUrl = getReturnUrlForReturn();
		var key = "${param.fileTrsmtLogID}";

		$("input").each(function(){
			$(this).attr("readonly",true);
		});
		$("select").each(function(){
			$(this).attr("disabled",true);
			$(this).css({'background-color' : '#ffffff'});
		});
		
		$("input[name=thisMsgRegiHMS]").inputmask("9999/99/99 99:99:99.999",{'autoUnmask':true});
		$("input[name=fileTrsmtStartHMS]").inputmask("9999/99/99 99:99:99.999",{'autoUnmask':true});
		
		init(key,detail);

		$("#btn_previous").click(function() {
			goNav(returnUrl);  //LIST로 이동
		});

	});
</script>
</head>

	<body>
		<div class="right_box">
			<div class="content_top">
				<ul class="path">
					<li><a href="#">${rmsMenuPath}</a></li>					
				</ul>					
			</div><!-- end content_top -->
			<div class="content_middle" id="content_middle">
				<div class="search_wrap">
					<img src="<c:url value="/img/btn_previous.png"/>" alt="" id="btn_previous" level="R" status="DETAIL,NEW"/>
				</div>
				<div class="title">리모트파일 전송결과 상세내역</div>
						
				<form id="ajaxForm">
					<table id="detail" class="table_row"  cellspacing="0"  >
						<tr>
							<th style="width:180px;">전송 거래로그 ID</th><td><input type="text" name="fileTrsmtLogID"/> </td>
							<th style="width:180px;">리모트 서버</th><td><input type="text" name="rmtNodeName"/> </td>
						</tr>
						<tr>
							<th>EAI 디렉토리</th><td><input type="text" name="fileTrsmtPathName"/> </td>
							<th>EAI 파일</th><td><input type="text" name="trsmtFileName"/> </td>
						</tr>
						<tr>
							<th>리모트 디렉토리</th><td><input type="text" name="rmtFileTrsmtPathName"/> </td>
							<th>리모트 파일</th><td><input type="text" name="rmtTrsmtFileName"/> </td>
						</tr>
						<tr>
							<th>업무구분</th><td><input type="text" name="bjobBzwkName"/> </td>
							<th>대외기관</th><td><input type="text" name="osidInstiName"/> </td>
						</tr>
						<tr>
							<th>파일크기</th><td><input type="text" name="fileTrsmtSize"/> </td>
							<th>전송시간</th><td><input type="text" name="fileTrsmtStartHMS"/> </td>
						</tr>
						<tr>
							<th>전송결과</th><td><input type="text" name="ndmRspnsCd"/> </td>
							<th>기동유형</th><td><input type="text" name="fileTrsmtStartPtrnName"/> </td>
						</tr>
						<tr id="error" style="display:none;">
							<th>장애내용</th><td colspan="3"><input type="text" name="ndmRspnsMsgCtnt"/> </td>
						</tr>
						<tr>
							<th>업무코드(명)</th><td><input type="text" name="applCd"/> </td>
							<th>업무담당자</th><td><input type="text" name="bzwkRsEmpName"/> </td>
						</tr>
						<tr>
							<th>등록일시</th><td><input type="text" name="thisMsgRegiHMS"/> </td>
							<th>등록자</th><td><input type="text" name="thisMsgRegsntID"/> </td>
						</tr>
					</table>
					<table id="ndmapi" class="table_row" cellspacing="0" style="display:none;" >						
						<tr>
							<th style="width:180px;">Process Name</th><td><input type="text" name="processName"/> </td>
							<th style="width:180px;">Process Number</th><td><input type="text" name="processNumber"/> </td>
						</tr>
						<tr>
							<th>Copy Start Time</th><td><input type="text" name="copyStartTime"/> </td>
							<th>Copy Stop Time</th><td><input type="text" name="copyStopTime"/> </td>
						</tr>
						<tr>
							<th>Elapsed Time</th><td><input type="text" name="elapsedTime"/> </td>
							<th>Completion Code</th><td><input type="text" name="completionCode"/> </td>
						</tr>
						<tr>
							<th>Record ID</th><td><input type="text" name="recordID"/> </td>
							<th>Message ID</th><td><input type="text" name="messageID"/> </td>
						</tr>
						<tr>
							<th>Message Short Text</th><td><input type="text" name="messageShortText"/> </td>
							<th>Step Name</th><td><input type="text" name="stepName"/> </td>
						</tr>
						<tr>
							<th>Submit Node</th><td><input type="text" name="submitNode"/> </td>
							<th>Submit ID</th><td><input type="text" name="submitID"/> </td>
						</tr>
						<tr>
							<th>Local Node Name</th><td><input type="text" name="localNodeName"/> </td>
							<th>Remote Node Name</th><td><input type="text" name="remoteNodeName"/> </td>
						</tr>
						<tr>
							<th>Source File Name</th><td><input type="text" name="sourceFileName"/> </td>
							<th>Source File Total Size</th><td><input type="text" name="sourceFileTotalSize"/> </td>
						</tr>
						<tr>
							<th>Destination File Name</th><td><input type="text" name="destinationFileName"/> </td>
							<th>Destination File Total Size</th><td><input type="text" name="destinationFileTotalSize"/> </td>
						</tr>
					</table>					
					</form>
			</div><!-- end content_middle -->
		</div><!-- end right_box -->	
	</body>
</html>